List all of the on-calls
List the on-call entries during a given time range.
An on-call represents a contiguous unit of time for which a User will be on call for a given Escalation Policy and Escalation Rules.
For more information see the API Concepts Document
Scoped OAuth requires: oncalls.read
This API operation has operation specific rate limits. See the Rate Limits page for more information.
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
Time zone in which results will be rendered. This will default to the account time zone.
tzinfoThe number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseArray of additional details to include.
Value in
- "escalation_policies"
- "users"
- "schedules"
Filters the results, showing only on-calls for the specified user IDs.
Filters the results, showing only on-calls for the specified escalation policy IDs.
Filters the results, showing only on-calls for the specified schedule IDs. If null is provided in the array, it includes permanent on-calls due to direct user escalation targets.
The start of the time range over which you want to search. If an on-call period overlaps with the range, it will be included in the result. Defaults to current time. On-call shifts are limited to 90 days in the future.
date-timeThe end of the time range over which you want to search. If an on-call period overlaps with the range, it will be included in the result. Defaults to current time. On-call shifts are limited to 90 days in the future, and the until time cannot be before the since time.
date-timeThis will filter on-calls such that only the earliest on-call for each combination of escalation policy, escalation level, and user is returned. This is useful for determining when the "next" on-calls are for a given set of filters.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
Get OAuth delegations revocation requests status GET
<!-- theme: warning --> > ### Deprecated > This endpoint is deprecated as OAuth token revocation is now synchronous. Please use the [DELETE /oauth_delegations endpoint](https://developer.pagerduty.com/api-reference/ad1161db75db1-delete-all-o-auth-delegations) instead. Get the status of all OAuth delegations revocation requests for this account, specifically how many requests are still pending. As all requests are now synchronous, no pending requests will be found. This endpoint is limited to account owners and admins. Scoped OAuth requires: `oauth_delegations.read`
List all of the on-calls GET
List the on-call entries during a given time range. An on-call represents a contiguous unit of time for which a User will be on call for a given Escalation Policy and Escalation Rules. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#on-calls) Scoped OAuth requires: `oncalls.read` This API operation has operation specific rate limits. See the [Rate Limits](https://developer.pagerduty.com/docs/72d3b724589e3-rest-api-rate-limits) page for more information.